VHOLD(9)

NAME
vhold - acquire a hold on a vnode

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
void
vhold(struct vnode *vp);

DESCRIPTION
The vhold() function increments the v_holdcnt of the given vnode. If the vnode has already been added to the free list and its v_holdcnt and v_usecount are both zero, it will be removed from the free list and added to the vnode hold list.

SEE ALSO
vnode(9)

AUTHORS
This man page was originally written by Chad David <davidc@acns.ab.ca> for FreeBSD.